LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XModifiable Interface Referencepublished

makes the modify state of the object accessible. More...

`import"XModifiable.idl";`

Inheritance diagram for XModifiable:

## Public Member Functions
boolean | isModified ()
void | setModified ([in] boolean bModified) raises ( com::sun::star::beans::PropertyVetoException )
| sets the status of the modified-flag from outside of the object. More...
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes the modify state of the object accessible.

Additionally, it makes it possible to register listener objects, which get notification whenever the status or content of the object changes.

Developers Guide
  Office Development - Component - Models - XModifiable

## Member Function Documentation

## ◆ isModified()

boolean isModified | ( |  | ) |

Returns
  `TRUE` if the object is modified.

The modification is always in relation to a certain state (i.e., the initial, loaded, or last stored version).

## ◆ setModified()

void setModified | ( | [in] boolean | bModified | ) |
raises | ( | com::sun::star::beans::PropertyVetoException
| ) |  |

sets the status of the modified-flag from outside of the object.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XModifiable.idl